MAXScript Language Reference > 3ds Max Objects > Material : MAXWrapper > Material Types >

# InkNPaint : Material

    InkNPaint - superclass: material; super-superclass:MAXWrapper - classID: #(27793050, 1295605925)

Value > MAXWrapper > Material > InkNPaint

| Materials and Maps - Quick Navigation

The InkNPaint Cartoon shading material uses the raytracer and provides a wide range of controls over inking and painting.

Note

Certain advanced features of this material are accessible only through MAXScript.

Constructor

    InkNPaint...

Properties:

    <InkNPaint>.backface_error_color Color default: (color 0 255 255)

Get/Set the backface error flag color.

Note

This property has been exposed for internal use only.

    <InkNPaint>.backface_error_on Boolean default: true -- boolean

Enable/Disable the backface error coloring.

Note

This property has been exposed for internal use only.

    <InkNPaint>.bump_MapTextureMap default: undefined -- texmap

Get/Set the bump map.

    <InkNPaint>.bump_map_amt Float default: 30.0 -- animatable; float

Get/Set the bump map amount.

    <InkNPaint>.bump_map_on Boolean default: false -- boolean

Enable/Disable bump mapping.

    <InkNPaint>.color1 Color default: (color 0 0 0) -- animatable; Ink_Color

Get/Set the Ink Color.

    <InkNPaint>.dsp_Map TextureMap default: undefined -- texmap; Dsp__Map

Get/Set the displacement map.

    <InkNPaint>.dsp_map_amt Float default: 20.0 -- animatable; float; Dsp__Map_Amt

Get/Set the displacement map amount.

    <InkNPaint>.dsp_map_on Boolean default: false -- boolean; Dsp__Map_On

Enable/Disable displacement mapping.

    <InkNPaint>.edge_ang_ink_color Color default: (color 0 0 0) -- animatable; Internal_Ink_Color

Get/Set the Ink Color for internal edges.

    <InkNPaint>.edge_ang_ink_Map TextureMap default: undefined -- texmap; Internal_Map

Get/Set the Ink Map for internal edges.

    <InkNPaint>.edge_ang_ink_map_amt Float default: 100.0 -- animatable; float; Internal_Map_Amt

Get/Set the Ink Map amount for internal edges.

    <InkNPaint>.edge_ang_ink_map_on Boolean default: false -- boolean; Internal_Map_On

Enable/Disable the Ink Map for internal edges.

    <InkNPaint>.edge_ang_ink_on Boolean default: false -- boolean; Internal_Ink_On

Enable/Disable Inking of internal edges.

    <InkNPaint>.edge_ang_thresh Float default: 0.5 -- animatable; float; Edge_Ang__Thresh

Get/Set the Edge Angle Threshold used to define internal edges.

    <InkNPaint>.face_map_on Boolean default: false -- boolean

Get/Set the Face Map state.

    <InkNPaint>.faceted_on Boolean default: false -- boolean

Get/Set the Facetted state.

    <InkNPaint>.fog_bg Boolean default: false -- boolean; Fog_B_G

Get/Set the "Fog Background when not painting" state.

    <InkNPaint>.init_fail_color Color default: (color 0 255 0)

Get/Set the Initialization Failed flag color.

Note

This property has been exposed for internal use only.

    <InkNPaint>.init_fail_on Boolean default: true -- boolean

Enable/Disable the marking of Initialization Failed error.

Note

This property has been exposed for internal use only.

    <InkNPaint>.ink_auto_vary_on Boolean default: false -- boolean

Get/Set the Variable Width option in the Ink Controls.

    <InkNPaint>.ink_on Boolean default: true -- boolean

Enable/Disable Ink usage.

    <InkNPaint>.ink_quality Integer default: 1 -- animatable; integer

Get/Set the Ink Quality value.

    <InkNPaint>.ink_width_clamp_on Boolean default: false -- boolean

Get/Set the Clamp option under Ink Controls.

    <InkNPaint>.intersect_bias Float default: 0.0 -- animatable; float

Get/Set the Intersection Bias.

    <InkNPaint>.mat1 Material default: undefined -- material; Material_1

Get/Set the optional sub-material used for surface shading.

Note

This feature is accessible through MAXScript only and is not exposed to the InkNPain UI.

    <InkNPaint>.mat1_on Boolean default: false -- boolean; Material_1_Enabled

Enable/Disable the optional sub-material

    <InkNPaint>.matid_adj_req_on Boolean default: true -- boolean; MatID_Adj__Req__On

When set to true, only adjacent faces with different Material IDs will be inked. Corresponds to the "Only Adjacent Faces" checkbox in the UI.

    <InkNPaint>.matid_ink_color Color default: (color 0 0 0) -- animatable

Get/Set the Ink color used for Material ID borders.

    <InkNPaint>.matid_ink_on Boolean default: true -- boolean

Enable/Disable the Inking of Material ID borders.

    <InkNPaint>.matid_intersect_bias Float default: 0.0 -- animatable; float

Get/Set the Material ID Ink Intersecion Bias.

    <InkNPaint>.matid_Map TextureMap default: undefined -- texmap

Get/Set the Material ID Ink Map.

    <InkNPaint>.matid_map_amt Float default: 100.0 -- animatable; float

Get/Set the Material ID Ink Map Amount.

    <InkNPaint>.matid_map_on Boolean default: false -- boolean

Enable/Disable the Material ID Ink Map.

    <InkNPaint>.max_ink_width Float default: 4.0 -- animatable; float; Max__Ink_Width

Get/Set the Max. Ink Width.

    <InkNPaint>.min_ink_width Float default: 2.0 -- animatable; float; Min__Ink_Width

Get/Set the Min. Ink Width.

    <InkNPaint>.missed_rays_error_color Color default: (color 255 0 255)

Get/Set the Color used to flag missed rays errors.

Note

This property has been exposed for internal use only.

    <InkNPaint>.missed_rays_error_on Boolean default: true -- boolean

Enable/Disable flagging of missed rays errors.

Note

This property has been exposed for internal use only.

    <InkNPaint>.opaque_alpha_on Boolean default: false -- boolean

Enable/Disable opaque alpha.

    <InkNPaint>.out_ink_Map TextureMap default: undefined -- texmap

Get/Set the Outline Ink map.

    <InkNPaint>.out_ink_map_amt Float default: 100.0 -- animatable; float

Get/Set the Outline Ink map amount.

    <InkNPaint>.out_ink_map_on Boolean default: false -- boolean

Enable/Disable Outline Ink mapping.

    <InkNPaint>.out_ink_on Boolean default: true -- boolean

Enable/Disable Outline Inking.

    <InkNPaint>.paint_color Color default: (color 79 165 210) -- animatable

Get/Set the Paint color.

    <InkNPaint>.paint_levels Integer default: 2 -- animatable; integer

Get/Set the Paint Levels.

    <InkNPaint>.paint_Map TextureMap default: undefined -- texmap

Get/Set the Paint map.

    <InkNPaint>.paint_map_amt Float default: 100.0 -- animatable; float

Get/Set the Paint map amount.

    <InkNPaint>.paint_map_on Boolean default: false -- boolean

Enable/Disable Paint mapping.

    <InkNPaint>.paint_on Boolean default: true -- boolean

Enable/Disable Painting.

    <InkNPaint>.pixel_grid_on Boolean default: false -- boolean

Enable/Disable the Pixel grid.

Note

This is an advanced feature accessible through MAXScript only and is not exposed to the standard InkNPain UI.

    <InkNPaint>.pixel_sampler Integer default: 3

Get/Set the Pixel sampler by index.

0 - Adaptive Halton

1 - Adaptive Uniform

2 - Hammersley

3 - Max 2.5 Star (default)

    <InkNPaint>.rayengine Ray_Engine default: ReferenceTarget:Ray_Engine

Get the Ray Engine. This property cannot be set via MAXScript.

    <InkNPaint>.sampler Integer default: 3 -- integer; Pixel_Sampler

Get/Set the Pixel sampler. Same as .sixel_sampler

    <InkNPaint>.samplerAdaptOn Boolean default: true -- boolean; Adaptive_On

Enable/Disable Adaptive sampling.

    <InkNPaint>.samplerAdaptThreshold Float default: 0.1 -- float; Adaptive_Threshold

Get/Set Adaptive sampling Threshold.

    <InkNPaint>.samplerAdvancedOptions Boolean default: true -- boolean; Samper_Advanced_Options

Enable/Disable the Sampler Advanced Options.

    <InkNPaint>.samplerByName String default: "Max 2.5 Star" -- string; Sampler_By_Name

Get/Set the Pixel sampler by name.

    <InkNPaint>.samplerEnable Boolean default: true -- animatable; boolean; Sampler_On

Enable/Disable SuperSampling.

    <InkNPaint>.samplerQuality Float default: 0.5 -- animatable; float; Sampler_Quality

Get/Set the SuperSampling quality.

    <InkNPaint>.samplerUseGlobal BooleanClass default: true -- boolean; Use_Global_Settings

When set to true , the Global Sampler settings will be used.

    <InkNPaint>.self_overlap_bias Float default: 10.0 -- animatable; float

Get/Set the Self-Overlapping Bias.

    <InkNPaint>.self_overlap_ink_color Color default: (color 0 0 0) -- animatable

Get/Set the Self-Overlapping Ink Color.

    <InkNPaint>.self_overlap_ink_Map TextureMap default: undefined -- texmap; Self_Overlap_Map

Get/Set the Self-Overlapping Ink Map

    <InkNPaint>.self_overlap_ink_map_amtFloat default: 100.0 -- animatable; float; Self_Overlap_Map_Amt

Get/Set the Self-Overlapping Ink Map amount

    <InkNPaint>.self_overlap_ink_map_on Boolean default: false -- boolean

Enable/Disable Self-Overlapping Ink Mapping

    <InkNPaint>.self_overlap_ink_on Boolean default: true -- boolean

Enable/Disable Self-Overlapping Inking.

    <InkNPaint>.self_underlap_bias Float default: 10.0 -- animatable; float

Get/Set the Self-Underlapping Bias.

    <InkNPaint>.self_underlap_ink_color Color default: (color 0 0 0) -- animatable

Get/Set the Self-Underlapping Ink Color.

    <InkNPaint>.self_underlap_ink_Map TextureMap default: undefined -- texmap; Self_Underlap_Map

Get/Set the Self-Underlapping Ink Map

    <InkNPaint>.self_underlap_ink_map_amt Float default: 100.0 -- animatable; float; Self_Underlap_Map_Amt

Get/Set the Self-Underlapping Ink Map amount

    <InkNPaint>.self_underlap_ink_map_on Boolean default: false -- boolean

Enable/Disable Self-Underlapping Ink Mapping

    <InkNPaint>.self_underlap_ink_on Boolean default: false -- boolean

Enable/Disable Self-Underlapping Inking

    <InkNPaint>.shade_amt Float default: 70.0 -- animatable; float

Get/Set the Shade amount.

    <InkNPaint>.shade_amt_on Boolean default: true -- boolean; Shade_Amt__On

Enable/Disable the Shade amount. When true, the amount will be used. When false, the shade_color will be used instead.

    <InkNPaint>.shade_color Color default: (color 40 80 100) -- animatable

Get/Set the Shade color.

    <InkNPaint>.shade_color_Map TextureMap default: undefined -- texmap

Get/Set the Shade color map.

    <InkNPaint>.shade_color_map_amt Float default: 100.0 -- animatable; float

Get/Set the Shade color map amount.

    <InkNPaint>.shade_color_map_on Boolean default: false -- boolean

Enable/Disable the Shade color map

    <InkNPaint>.smgroup_edge_ink_color Color default: (color 0 0 0) -- animatable; Sharp_Edge_Ink_Color

Get/Set the Smoothing groups edge Ink color.

    <InkNPaint>.smgroup_edge_ink_on Boolean default: true -- boolean; Sharp_Edge_Ink_On

Enable/Disable Smoothing groups edge Inking.

    <InkNPaint>.smgroup_edge_Map TextureMap default: undefined -- texmap; Sharp_Edge_Map

Get/Set the Smoothing groups edge map.

    <InkNPaint>.smgroup_edge_map_amt Float default: 100.0 -- animatable; float; Sharp_Edge_Map_Amt

Get/Set the Smoothing groups edge map amoumt.

    <InkNPaint>.smgroup_edge_map_on Boolean default: false -- boolean; Sharp_Edge_Map_On

Enable/Disable Smoothing groups edge mapping.

    <InkNPaint>.spec_color Color default: (color 255 255 255) -- animatable

Get/Set the Specular color.

    <InkNPaint>.spec_gloss Float default: 50.0 -- animatable; float

Get/Set the Glossines value.

    <InkNPaint>.spec_Map TextureMap default: undefined -- texmap; Spec__Map

Get/Set the Specular map.

    <InkNPaint>.spec_map_amt Float default: 100.0 -- animatable; float; Spec__Map_Amt

Get/Set the Specular map amount.

    <InkNPaint>.spec_map_on Boolean default: false -- boolean; Spec__Map_On

Enable/Disable Specular mapping.

    <InkNPaint>.spec_on Boolean default: false -- boolean; Spec__On

Enable/Disable Specular highlights.

    <InkNPaint>.sub_mtl_amt Float default: 100.0 -- animatable; float

Get/Set the Sub-material amount.

    <InkNPaint>.subSampleTextureOn Boolean default: true -- boolean; Sample_SubTexmaps_On

Enable/Disable Texture SuperSampling.

    <InkNPaint>.two_side_on Boolean default: true -- boolean

Enable/DisableDoubleSided rendering.

    <InkNPaint>.UserParam0 Float default: 0.0 -- float; Param_0

Get/Set a user parameter value.

    <InkNPaint>.UserParam1 Float default: 0.0 -- float; Param_1

Get/Set a user parameter value.

    <InkNPaint>.width_Map TextureMap default: undefined -- texmap

Get/Set the Width map.

    <InkNPaint>.width_map_amt Float default: 100.0 -- animatable; float

Get/Set the Width map amount.

    <InkNPaint>.width_map_on Boolean default: false -- boolean

Get/Set the Width mapping.

#### See Also

- Material Common Properties, Operators, and Methods

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods